Name:           ocaml-expat
Version:        0.9.1
Release:        %mkrel 20
Summary:        OCaml wrapper for the Expat XML parsing library
License:        GPL
Group:          Development/OCaml
URL:            http://www.xs4all.nl/~mmzeeman/ocaml
Source0:        http://www.xs4all.nl/~mmzeeman/ocaml/%{name}-%{version}.tar.bz2
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  expat-devel

%description
An ocaml wrapper for the Expat XML parsing library. It allows you to write
XML-Parsers using the SAX method. An XML document is parsed on the fly
without needing to load the entire XML-Tree into memory.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       expat-devel
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
%make depend
%make all allopt
make doc
rm -f doc/README

%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/stublibs
make install OCAMLFIND_DESTDIR="%{buildroot}%{_libdir}/ocaml"

%files
%doc LICENCE README
%dir %{_libdir}/ocaml/expat
%{_libdir}/ocaml/expat/*.cmi
%{_libdir}/ocaml/expat/*.cma
%{_libdir}/ocaml/expat/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc
%{_libdir}/ocaml/expat/*.a
%{_libdir}/ocaml/expat/*.cmxa
%{_libdir}/ocaml/expat/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.9.1-20.mga6
+ Revision: 1056332
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 0.9.1-19.mga6
+ Revision: 930786
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-18.mga5
+ Revision: 749291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-17.mga5
+ Revision: 683025
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-16.mga4
+ Revision: 536096
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.9.1-15.mga4
+ Revision: 483326
- building and providing the ocamldoc generated API documentation

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-14.mga3
+ Revision: 361296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.1-13.mga3
+ Revision: 301426
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.1-11.mga3
+ Revision: 300076
- new rpm group for ocaml
- keep the .so.owner file
- clean spec file

* Sun Oct 02 2011 fwang <fwang> 0.9.1-10.mga2
+ Revision: 150905
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.9.1-9.mga1
+ Revision: 82353
- Imported package ocaml-expat from Mandriva where it was created by Guillaume Rousse, and maintained by Guillaume Rousse and Per ?\195?\152yvind Karlsen.


* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-9mdv2010.0
+ Revision: 389828
- rebuild

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-8mdv2009.1
+ Revision: 320722
- move non-devel files in main package
- site-lib hierarchy doesn't exist anymore

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-5mdv2008.1
+ Revision: 178367
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-4mdv2008.0
+ Revision: 77677
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Sat Jun 23 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.1-3mdv2008.0
+ Revision: 43341
- build 'allopt' too

* Tue Jun 19 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.1-2mdv2008.0
+ Revision: 41240
- rebuild against new ocaml

* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 18421
- Import ocaml-expat



* Thu Apr 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2008.0
- first mdv release
